# pipeline.hxx File Reference

`#include "pqxx/compiler-public.hxx"`
`#include "pqxx/compiler-internal-pre.hxx"`
`#include <map>`
`#include <string>`
`#include "pqxx/transaction_base"`
`#include "pqxx/compiler-internal-post.hxx"`

Include dependency graph for pipeline.hxx:

Go to the source code of this file.

## Namespaces

namespace | pqxx

## Classes

class | pqxx::pipeline
| Processes several queries in FIFO manner, optimized for high throughput. More...
class | pqxx::pipeline::Query
struct | pqxx::pipeline::getquery